import React from 'react';
import PropTypes from 'prop-types';
import ProgressBarBase from '@thumbtack/tp-ui-react-progress-bar-base';
import classnames from 'classnames';
import styles from './index.module.scss';

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

var ProgressBar = function ProgressBar(_ref) {
  var _classnames;

  var value = _ref.value,
      shouldShowLabel = _ref.shouldShowLabel,
      labelAlign = _ref.labelAlign;
  return React.createElement("div", null, React.createElement(ProgressBarBase, {
    width: value
  }), shouldShowLabel && React.createElement("div", {
    className: classnames((_classnames = {}, _defineProperty(_classnames, styles.label, true), _defineProperty(_classnames, styles.labelCenter, labelAlign === 'center'), _classnames))
  }, value, "% complete"));
};

ProgressBar.propTypes = {
  /**
   * A number between 0 and 100 that indicates the progress made.
   */
  value: PropTypes.number,
  labelAlign: PropTypes.oneOf(['left', 'center']),
  shouldShowLabel: PropTypes.bool
};
ProgressBar.defaultProps = {
  value: 0,
  labelAlign: 'left',
  shouldShowLabel: true
};

export default ProgressBar;
//# sourceMappingURL=index.es.js.map
